Loading...
 

Yo have a Tiki version earlier than the minimum version which is currently supported?
You might find some useful tips here related to old unmaintained versions of Tiki.

Determine the version of your current Tiki

You can check by visiting tiki-admin.php?page=general

If you have 3.x or later

You can upgrade directly. Tiki 4.x/5.x/6.x/7x./8.x/9.x/10.x/11.x/12.x include all the database migration scripts to that version. You may wish to manually re-run the installer script for the version you are on, and watch for unexpected errors.

If you have 1.9.x or 2.x

[+]

If you have 1.8.x

[+]

If you have 1.7.x

[+]

If you have 1.6.x or older

[+]

Only-changes release files

In some cases of new releases (such as 6.3, for instance), you have the option to download and install only the files that have changed (from a compressed file, like: "tikiwiki-inc-6.2-to-6.3.tar.gz"), or to download the full new version (eg. "tikiwiki-6.3.tar.gz").

1.2. Fresh install

If you are upgrading to a version previous than Tiki 5.1, you can indicate the database information of your previous Tiki install (info in db/local.php).

Note for Tiki versions after 5.1 (5.3, 6.0, 9.x, 12.x ...): You are encouraged NOT to manually copy or edit your old local.php into the new site, but let the Tiki installer script (tiki-install.php) create that local.php file when needed in a later step since it will handle properly the former encoding issue for you.


Database collation

During the upgrade to Tiki 5.1 (or later) through tiki-install.php, Tiki will attempt to do this for you if needed, but in some rare cases Tiki fails to set the collation to utf8, and therefore, you have to do that manually. If the database is already created with latin1 collation, and you want to change that afterwards, you can change the collation through phpmyadmin in the "Operations" tabs once you have selected your database.

1.3. tiki-install.php to update your database

(A) Fresh install

On the tiki-install.php page of this new site, connect to the same database as your old site (you can find this info in the file db/local.php of your old site) and follow the instructions to upgrade your site. Make sure to click upgrade and not install, else you wipe out your database.

Note: For upgrades to versions equal or later than 5.1 (5.3, 6.0, ...), you are encouraged to re-set the connection settings, while keeping the "Force utf-8 connection" option checked, and follow the on-screen instructions.


For upgrades to earlier branches and versions (like any of the Tiki3 LTS branch), you can alternatively just copy db/local.php from your old site to your new site, to avoid entering the information if you wish.

(B) Install over existing

Then, go to tiki-install.php and click the "upgrade" button, which will update the database. Tiki can read your previous db/local.php file and use this information.

Note: However, for upgrades to versions equal or newer than 5.1 (5.3, 6.0, ...), you are encouraged to re-set the connection settings, while keeping the "Force utf-8 connection" option checked, and follow the on-screen instructions.


If the installer was previously locked (which it should be), you will need to unlock it by deleting db/lock file.

If the installer fails . . .

[+]

If you need to fix the encoding issue

 Upgrade from previous to 5.1 to 5.1 or newer

Either (A) or (B): fix the encoding issue (5.0 or before -> 5.1 or later)

Previously to Tiki 5.1, some users might have had a double encoding issue in the database of their Tiki. To ensure that this potential problem is fixed for all, if you are upgrading from a Tiki version equal or earlier than 5.0, into some newer Tiki version (5.1, ...5.x; 6.0, 6.x...), you are encouraged to follow once the three steps to fix the issue by means of the tiki-install.php script.

1.3.1.1. Export existing database from earlier releases (< 6.0)

When dumping MySQL databases from earlier versions of TikiWiki you should specify "--default-character-set=latin1 " to ensure that your MySQL client does not double encode any existing latin1 data.

1.3.1.2. Force connection to utf-8 in db/local.php

Briefly explained above. For the sake of clearness, covered here in detail.

  • Go to tiki-install.php, and follow steps until step 4: "Set the Database Connection".
  • Even if you have a local.php file already there, click on "Modify database connection" instead of "Use Existing Connection". This will open a form in the lower part of the window for you
    Click to enlarge
    Click to enlarge
    • At the bottom, there will be a section called "Character set", with a checkbox called "Always force connection to use UTF-8", that needs to be kept as checked.
      Click to enlarge
      Click to enlarge

    Fill in your db/local.php details through that form, and click on the "Continue" bottom at the bottom when ready.
  • Continue to step 5 in the installation process, where you'll have the opportunity to "Convert database and tables to UTF-8" (see below).

1.3.1.3. Convert database and tables to UTF-8

In step 5 of the installation process, you will be offered the option to "Convert database and tables to UTF-8", and you will be also shown the current encoding of your database.

  • Write down the name of the current encoding of your database, because you will need it in the next step below.
    Click to enlarge
    Click to enlarge
  • You can now click on the button "Convert database and tables to UTF-8".
  • Once successfully performed, you will not see this option anymore, but just the usual question of whether you want to Re-install the database, or "Automatically upgrade your existing database to" your new Tiki version. Choose this later option, since you are upgrading.
    Click to enlarge
    Click to enlarge


(Note: This step is converting you DB collation to utf-8, and your DB tables to use the utf-8 charset also.)

1.3.1.4. Convert content from your previous encoding to utf-8

Finally, you need to convert the content from your existing database (content from wiki pages, etc., but also preferences, which include paths to file and image attachments, like in image galleries, etc.) to utf-8.

  • To do so, you have an option in the final step under the section "Upgrading and running into encoding issues?"
    Click to enlarge
    Click to enlarge
  • In the dropdown called "Previous table encoding", choose the one which applies to your case (you wrote it down in the previous step), and click on the button: "Dangerous: Fix double encoding"


Given the nature of this fix, it's best to do some quick verification of the changes.

Congratulations! You are done.

You can now enter Tiki locking the installer (recommended) or without locking it, and continue using Tiki as normally.

If you have any issues, provide feedback through the usual Support channels.

Alternative: Upgrading your database through shell

[+]

1.4. Upgrade your Theme

Revise the notes at
https://themes.tiki.org/Upgrading

Delete Unused Tables

When upgrading, some tables may no longer be used if the related feature has been discontinued. The upgrade script doesn't delete these extra in case users have data in them they want to keep. You can delete the tables manually if you have access to the database on the server. The following tables are no longer used as of Tiki5:

  • The 10 galaxia tables
  • The 4 tiki_chart or tiki_charts tables
  • tiki_drawings
  • tiki_newspaper_marks
  • tiki_newspaper_servers
  • tiki_quicktags

doc.tiki.org

Bootstrap AdminGuide UserGuide

Keywords

Keywords serve as "hubs" for navigation within the Tiki documentation. They correspond to development keywords (bug reports and feature requests):

Accessibility (WAI and 508)
Accounting
Articles and Submissions
Backlinks
Banners
Batch
BigBlueButton audio/video/chat/screensharing
Blog
Bookmark
Browser Compatibility
Link Cache
Calendar
Category
Chat
Clean URLs
Comments
Communication Center
Compression (gzip)
Contacts (Address Book)
Contact us
Content Templates
Contribution
Cookie
Copyright
Credit
Custom Home and Group Home Page
Date and Time
Debugger Console
Directory of hyperlinks
Documentation link from Tiki to doc.tiki.org (Help System)
Docs
Draw
Dynamic Content
Dynamic Variable
External Authentication
FAQ
Featured links
File Gallery
Forum
Friendship Network (Community)
Gmap Google maps
Groups
Hotword
HTML Page
i18n (Multilingual, l10n, Babelfish)
Image Gallery
Import-Export
Install
Integrator
Interoperability
Inter-User Messages
InterTiki
Kaltura video management
Karma
Live Support
Login
Logs (system & action)
Look and Feel
Mail-in
Map with Mapserver
Menu
Meta Tags
Mobile Tiki and Voice Tiki
Mods
Module
MultiTiki
MyTiki
Newsletter
Notepad
Payment
Performance Speed / Load
Permissions
Platform independence (Linux-Apache, Windows/IIS, Mac, BSD)
Polls
Profiles
Profile Manager
Report
Toolbar
Quiz
Rating
Feeds
Score
Search engine optimization
Search
Search and Replace
Security
Semantic links
Shadowbox
Shadow Layers
Share
Shopping cart
Shoutbox
Slideshow
Smiley
Social Networks
Spam protection (Anti-bot CATPCHA)
Spellcheck
Spreadsheet
Stats
Surveys
Tags
Task
Tell a Friend, alert + Social Bookmarking
TikiTests
Theme CSS & Smarty
Trackers
Transitions
TRIM
User Administration including registration and banning
User Files
User Menu
Watch
WebDAV
Webmail
Web Services
Wiki History, page rename, etc
Wiki Syntax
Wiki structure (book and table of content)
Workspace
WSOD
WYSIWYCA
WYSIWYG
XMLRPC

Tiki Newsletter

Delivered fresh to your email inbox!
Newsletter subscribe icon
Don't miss major announcements and other news!
Contribute to Tiki